%define upstream_name    Test-Toolbox
%define upstream_version 0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tools for testing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Test::Toolbox provides (as you might guess) tools for automated testing.
Test::Toolbox is much like some other testing modules, such as Test::More and
Test::Simple. Test::Toolbox provides a different flavor of tests which may or
may not actually be to your preference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.400.0-5.mga9
+ Revision: 1810447
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-4.mga8
+ Revision: 1506581
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.400.0-3.mga7
+ Revision: 1286822
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.400.0-2.mga7
+ Revision: 1166932
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 guillomovitch <guillomovitch> 0.400.0-1.mga7
+ Revision: 1158558
- imported package perl-Test-Toolbox


* Sun Sep 24 2017 cpan2dist 0.4-1mga
- initial mageia release, generated with cpan2dist
